class Takmicenje
{
    static Disciplina[] nizDisciplina = new Disciplina[2];

    Takmicar[] nizTakmicara = new Takmicar[5];
    String nazivTakmicenja;
    int brojTakmicara = 0;

    Takmicenje(String nazivTakmicenja)
    {
        this.nazivTakmicenja = nazivTakmicenja;
    }

    static Disciplina pronadjiDisciplinu(String naziv)
    {
        for(Disciplina d:nizDisciplina)
        {
            if(d.naziv == naziv)
                return d;
        }
        return null;
    }
    void Prijava(Takmicar takmicar)
    {
        Disciplina d = pronadjiDisciplinu(takmicar.nazivDiscipline);
        //Ako postoji!
        if(d!=null)
        {
            nizTakmicara[brojTakmicara] = takmicar;
            brojTakmicara++;
        }
        else
            System.out.println("Disciplina ne postoji.");
    }

    void IzlistajTakmicare()
    {
        if(nizDisciplina == null)
            return;
        for(Disciplina d: nizDisciplina)
        {
            if(d == null)
                continue;
            System.out.println(d.naziv);
            for(Takmicar t : nizTakmicara)
            {
                if(t != null && t.nazivDiscipline == d.naziv)
                {
                    System.out.println(t.toString());
                }

            }
        }
    }
    
}